import * as events from "../export.mjs";



function assert (bool, error) {
	if (bool) {
		console.log("✓");
	} else {
		throw new Error(error);
	}
}
function succeeds (fn) {
	let success = true;
	try {
		fn();
	} catch (error) {
		success = false;
	}
	return success;
}
function fails (fn) {
	return !succeeds(fn);
}



events.listen("my_event", data => {
	assert(data === "meow", `expected string "meow", got ${data}`);
});

assert(succeeds(_ => events.trigger("my_event", "meow")));
assert(fails(_ => events.trigger("my_event", "uwu")));
